Jump to content

Archived

This topic is now archived and is closed to further replies.

eneee

FSX OOM api.dll patcher

Recommended Posts

Check your PM. File link for SP2 there.

 

ok... i got it and i will work on it tomorrow....

 

i can't wait tomorrow to create patch.... Here it is for SP2 patcher:

 

https://hotfile.com/dl/178169228/3804055/flight.simulator.x.oom.patcher.beta.for.sp2-patch.rar.html

 

please test it let me know if it is work....

 

and i can't edit my first post for add SP2 Patcher link to there.... ıf someone could do it , i would be great....

Share this post


Link to post
Share on other sites

great, i'll test that tomorow on friend's PC and report back. Thanks a lot!


Zeljko Budovic

Share this post


Link to post
Share on other sites

Well FSX runs with this new SP2 api.dll. Going through some heavy testing right now.

 

Edit: Sorry to say I see no improvement with this modified api.dll. Still get very consistent crashes when Virtual Mem goes over 4gig. Stay under 4gig and FSX runs sans crashing.

 

First crash, screen:

Problem signature:

Problem Event Name: APPCRASH

Application Name: fsx.exe

Application Version: 10.0.61472.0

Application Timestamp: 475e17d3

Fault Module Name: MSVCR80.dll

Fault Module Version: 8.0.50727.6195

Fault Module Timestamp: 4dcddbf3

Exception Code: c0000005

Exception Offset: 000173d0

OS Version: 6.0.6002.2.2.0.768.3

Locale ID: 1033

Additional Information 1: f3b5

Additional Information 2: 67157acfc10691bf1c01accd62406c5a

Additional Information 3: b4f4

Additional Information 4: 686b80d14c6be7494511e7ba36846343

 

Hit close, then a 2nd FSX crash screen gives this:

Problem signature:

Problem Event Name: APPCRASH

Application Name: fsx.exe

Application Version: 10.0.61472.0

Application Timestamp: 475e17d3

Fault Module Name: g3d.dll

Fault Module Version: 10.0.61472.0

Fault Module Timestamp: 475e180c

Exception Code: c0000005

Exception Offset: 0006534b

OS Version: 6.0.6002.2.2.0.768.3

Locale ID: 1033

Additional Information 1: e9d2

Additional Information 2: f28c04d9729812502a1618eba5cae878

Additional Information 3: c994

Additional Information 4: a8a72ac53eb7baa62c5d0b6aec7704a7

Share this post


Link to post
Share on other sites

Just to make it 100% to everyone.

 

You will need the VERSION Specific Patcher, or pre-patched api.dll, that matches your current version of api.dll ( ie your Version of FSX or P3D )

 

ie. FSX RTM (that nobody uses !!)

or FSX SP1 (that nobody uses !!)

or FSX SP2

or FSX Accel

or P3D ver 1.4

or P3D ver (later versions)

 

 

You CANNOT use the wrong version, that does not match your version of FSX/P3D.

 

If you try the patcher for the wrong version of api.dll, it will not patch it, and you will get an error message.

 

If you get the wrong version of the Patched api.dll, then FSX/P3D will not run.

 

Maybe, after some further beta testing, "eneee" would consider making a UNIVERSAL Patcher, that recognizes the version of the API.dll, and applies the correct patches to it.

 

Also, maybe that Universal Patcher will require updating, each time a new version of P3D is released.

Share this post


Link to post
Share on other sites

I tested it today, just flying from KSAN to KLAX and had some problems, but I'm not certain at all that they are related to the api.dll mod.

I am getting an error that says "Failed to read from file" as I enter into the Aerosoft USCities Los Angeles area. Then if I just continue flying, FSX will lock up.

I need to test it going into another heavy scenery area tomorrow. Maybe I will try landing at KJFK with Aerosoft Manhattan and FSDT Kennedy Airport.

I serously suspect that something is wrong with my installation of Aerosoft Los Angeles.

Later, I will shut off the Aerosoft scenery and see if I get the same error.

I loaded 70% AI traffic at Devinci's KSAN with dence autogen and everything went very smooth until I got close to Los Angeles. Normally I would have got an OOM error before I left the airport.

I will try again tomorrow.

 

Reading the log file, the last crash has something to do with the "sapi.dll". Does that have anything to do with this "api.dll"?

It says that it is located in \Speech\Common\sapi.dll . I was using FS2Crew with the PMDG 737NGX the last flight.


Robert Yunque
Banner_MJC11_zpsc02297c8.png

 

 

 

Share this post


Link to post
Share on other sites

Well FSX runs with this new SP2 api.dll. Going through some heavy testing right now.

 

Edit: Sorry to say I see no improvement with this modified api.dll. Still get very consistent crashes when Virtual Mem goes over 4gig. Stay under 4gig and FSX runs sans crashing.

 

First crash, screen:

Problem signature:

Problem Event Name: APPCRASH

Application Name: fsx.exe

Application Version: 10.0.61472.0

Application Timestamp: 475e17d3

Fault Module Name: MSVCR80.dll

Fault Module Version: 8.0.50727.6195

Fault Module Timestamp: 4dcddbf3

Exception Code: c0000005

Exception Offset: 000173d0

OS Version: 6.0.6002.2.2.0.768.3

Locale ID: 1033

Additional Information 1: f3b5

Additional Information 2: 67157acfc10691bf1c01accd62406c5a

Additional Information 3: b4f4

Additional Information 4: 686b80d14c6be7494511e7ba36846343

 

Hit close, then a 2nd FSX crash screen gives this:

Problem signature:

Problem Event Name: APPCRASH

Application Name: fsx.exe

Application Version: 10.0.61472.0

Application Timestamp: 475e17d3

Fault Module Name: g3d.dll

Fault Module Version: 10.0.61472.0

Fault Module Timestamp: 475e180c

Exception Code: c0000005

Exception Offset: 0006534b

OS Version: 6.0.6002.2.2.0.768.3

Locale ID: 1033

Additional Information 1: e9d2

Additional Information 2: f28c04d9729812502a1618eba5cae878

Additional Information 3: c994

Additional Information 4: a8a72ac53eb7baa62c5d0b6aec7704a7

 

i don't have sp2 installed on my pc and because of i couldn't test it. You got streng errors. i have check api.dll file and i coulnd't see any connect with "MSVCR80.dll" . i preffer to install Acceleration pack for you....

 

Just to make it 100% to everyone.

 

You will need the VERSION Specific Patcher, or pre-patched api.dll, that matches your current version of api.dll ( ie your Version of FSX or P3D )

 

ie. FSX RTM (that nobody uses !!)

or FSX SP1 (that nobody uses !!)

or FSX SP2

or FSX Accel

or P3D ver 1.4

or P3D ver (later versions)

 

 

You CANNOT use the wrong version, that does not match your version of FSX/P3D.

 

If you try the patcher for the wrong version of api.dll, it will not patch it, and you will get an error message.

 

If you get the wrong version of the Patched api.dll, then FSX/P3D will not run.

 

Maybe, after some further beta testing, "eneee" would consider making a UNIVERSAL Patcher, that recognizes the version of the API.dll, and applies the correct patches to it.

 

Also, maybe that Universal Patcher will require updating, each time a new version of P3D is released.

i need to know what errors i will get at beta test...of course i have to make new patcher for P3D... after test feedback i may creat an univeral install for patchers....

 

I tested it today, just flying from KSAN to KLAX and had some problems, but I'm not certain at all that they are related to the api.dll mod.

I am getting an error that says "Failed to read from file" as I enter into the Aerosoft USCities Los Angeles area. Then if I just continue flying, FSX will lock up.

I need to test it going into another heavy scenery area tomorrow. Maybe I will try landing at KJFK with Aerosoft Manhattan and FSDT Kennedy Airport.

I serously suspect that something is wrong with my installation of Aerosoft Los Angeles.

Later, I will shut off the Aerosoft scenery and see if I get the same error.

I loaded 70% AI traffic at Devinci's KSAN with dence autogen and everything went very smooth until I got close to Los Angeles. Normally I would have got an OOM error before I left the airport.

I will try again tomorrow.

 

Reading the log file, the last crash has something to do with the "sapi.dll". Does that have anything to do with this "api.dll"?

It says that it is located in \Speech\Common\sapi.dll . I was using FS2Crew with the PMDG 737NGX the last flight.

 

it looks like your memory mapping changed and fsx.exe couldn't reach files... it may be a bug for my patcher... i will check sapi.dll files to what it has...you may try to decress your settings to %50 before test it again.... maybe after i check sapi.dll we can try to incress it again... thanks again for testing....

Share this post


Link to post
Share on other sites

i don't have sp2 installed on my pc and because of i couldn't test it. You got streng errors. i have check api.dll file and i coulnd't see any connect with "MSVCR80.dll" . i preffer to install Acceleration pack for you....

 

The errors I consistently got with your modified api.dll are not the same as like what happens with the stock api.dll. Stock api.dll results in a popup window saying I'm 'out of memory'. Your dll is different, it crashes very similar to if my computer is overclocked too high or unstable, hence the error logs I posted. But like I said, FSX only crashed if >4gig Virtual Mem level is reached.

 

Not sure what the % is but many people don't have or use Acceleration. Are you not able to install FSX on your system without installing Accel pack?

Share this post


Link to post
Share on other sites

it looks like your memory mapping changed and fsx.exe couldn't reach files... it may be a bug for my patcher... i will check sapi.dll files to what it has...you may try to decress your settings to %50 before test it again.... maybe after i check sapi.dll we can try to incress it again... thanks again for testing....

 

You're definitely on the right track. Thank you.


Robert Yunque
Banner_MJC11_zpsc02297c8.png

 

 

 

Share this post


Link to post
Share on other sites

have test it,bud when fsx go over 3,5gig it show the message can´t read files............then i can not stop fsx and it is not to see.......have with acceleration

 

thanks for work at this oom´s


Ralf Scholten EDDL

Share this post


Link to post
Share on other sites

The errors I consistently got with your modified api.dll are not the same as like what happens with the stock api.dll. Stock api.dll results in a popup window saying I'm 'out of memory'. Your dll is different, it crashes very similar to if my computer is overclocked too high or unstable, hence the error logs I posted. But like I said, FSX only crashed if >4gig Virtual Mem level is reached.

 

Not sure what the % is but many people don't have or use Acceleration. Are you not able to install FSX on your system without installing Accel pack?

 

it isn't posible at this time... i will try it at my friend pc...

 

have test it,bud when fsx go over 3,5gig it show the message can´t read files............then i can not stop fsx and it is not to see.......have with acceleration

 

thanks for work at this oom´s

 

i think you use 64 bit windows.... let me check what i need to do for 64 bit...

Share this post


Link to post
Share on other sites

i think you use 64 bit windows.... let me check what i need to do for 64 bit...

 

Now it gets interesting, becouse most of simmers use windows 7 64bit, it's recomended for fsx becouse of better memory management. We allready have 3GB switch which makes windows to use more than 2GB virtual memory: http://forum.simflig...the-3gb-switch/ - for windows 7 is not required, but works fine for windows XP. And we can set manually paging size.

So, it would be excellent if you can make something for windows 7 64bit and FSX Deluxe + SP2 and FSX Acceleration - this is most used configurations. In windows 7 64bit, OOM appears when fsx virtual memory usage is arround 4GB(i don't remmember exactlly). My fsx is usualy about 3.5GB without any problems.

Thank you for trying


Zeljko Budovic

Share this post


Link to post
Share on other sites

it isn't posible at this time... i will try it at my friend pc...

 

 

 

i think you use 64 bit windows.... let me check what i need to do for 64 bit...

 

yes.its w7 64bit


Ralf Scholten EDDL

Share this post


Link to post
Share on other sites

I read through this thread with great interest.

Now, while we wait for 64bit and non-accel and accel, I will only say one thing: while others report crashes already at 3.3-3.5 (VAS?), my FSX does not crash before reaching 4.05GB or about of VAS. And that is really a lot, I must do lots of thing to crash it with that much. Or simply set ridiculously high LOD_RADIUS.

Share this post


Link to post
Share on other sites

I read through this thread with great interest.

Now, while we wait for 64bit and non-accel and accel, I will only say one thing: while others report crashes already at 3.3-3.5 (VAS?), my FSX does not crash before reaching 4.05GB or about of VAS. And that is really a lot, I must do lots of thing to crash it with that much. Or simply set ridiculously high LOD_RADIUS.

 

How did you set it up to use the whole 4gb?

 

I'm on 64bit Windows 7, and it always seems to max out about 3.5gb when I fly into London.

 

If I turn down TML to 2048 I can avoid the problem altogether, but 4096 would be nice..


Dan.W

20.jpg

 

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.

  • Tom Allensworth,
    Founder of AVSIM Online


  • Flight Simulation's Premier Resource!

    AVSIM is a free service to the flight simulation community. AVSIM is staffed completely by volunteers and all funds donated to AVSIM go directly back to supporting the community. Your donation here helps to pay our bandwidth costs, emergency funding, and other general costs that crop up from time to time. Thank you for your support!

    Click here for more information and to see all donations year to date.
  • Donation Goals

    AVSIM's 2020 Fundraising Goal

    Donate to our annual general fundraising goal. This donation keeps our doors open and providing you service 24 x 7 x 365. Your donation here helps to pay our bandwidth costs, emergency funding, and other general costs that crop up from time to time. We reset this goal every new year for the following year's goal.


    34%
    $8,560.00 of $25,000.00 Donate Now
×
×
  • Create New...